<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'format_socialwall', language 'en'
 *
 * @package   format_socialwall
 * @copyright 2014 Andreas Wagner, Synergy Learning
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

$string['addedactivities'] = 'Add activities';
$string['addactivityresource'] = 'Add activity/resource';
$string['addalink'] = 'Add a link';
$string['addrecentactivity'] = 'Add existing activity';
$string['addselectedactivities'] = 'Add selected activities';
$string['allmodultypes'] = 'All module types';
$string['allmygroups'] = 'All my Groups';
$string['attach'] = 'Attach';
$string['attachmentorpostrequired'] = 'Attachment or posttext required!';
$string['attachessaved'] = 'Attachments saved';
$string['attachmentsaveerror'] = 'Error by saving attachment';
$string['attachactivities'] = 'Create a new activity or drag and drop a existing one into here:';
$string['attachedrecentactivities'] = 'Attached existing activities (will be sent by next post or update)';
$string['attachselectedactivities'] = 'Attach selected activities';
$string['attachturnediton'] = 'Turn editing on, to attach activities to post';
$string['attachedactivities'] = 'Attached activities (will be sent by next post):';
$string['cachedef_attachedrecentactivities'] = 'SocialWall:Attached recent activities';
$string['cachedef_commentformerrors'] = 'SocialWall:Comment form errors';
$string['cachedef_postformerrors'] = 'SocialWall:Post form errors';
$string['cachedef_postformparams'] = 'SocialWall:Post form params';
$string['cachedef_timelinefilter'] = 'SocialWall:Timeline filter';
$string['commentsaveerror'] = 'Error by saving comment';
$string['commentsaved'] = 'Comment saved';
$string['commentidinvalid'] = 'Invalid comment id';
$string['cancel'] = 'Cancel';
$string['confirmdeletecomment'] = 'Do you really want to delete this comment?';
$string['countlikes'] = '{$a} Likes';
$string['countcomments'] = '{$a} Comments';
$string['counttotalpost'] = '{$a->count}/{$a->total} posts';
$string['commentdeleted'] = 'Comment deleted';
$string['currentsection'] = 'This topic';
$string['deleteafterunenrol'] = 'Delete Items after unenrol user';
$string['deleteafterunenroldesc'] = 'When a user unenrols from a course all his posts and comments will be deleted.';
$string['deleteafterunenrol_help'] = 'When a user unenrols from a course all his posts and comments will be deleted.';
$string['deletemodspermanently'] = 'Automatically delete activities';
$string['deletemodspermanently_help'] = 'When set to Yes an activity is deleted, when the last post is deleted, where this activity was attached to.
    Note that posts (and probably activities) are also deleted, when a user is deleted. So please be careful with this setting!';
$string['editnotification'] = 'Edit notification settings';
$string['edited'] = 'edited';
$string['enablelikes'] = 'Enable likes';
$string['enablelikesdesc'] = 'Default setting for enable likes.';
$string['enablelikes_help'] = 'User will be able to like or unlike a post in this course.';
$string['enablenotification'] = 'Enable notification';
$string['enablenotificationdesc'] = 'Default setting for course format options.';
$string['enablenotification_help'] = 'Notification can be setup for users.';
$string['enablestudentupload'] = 'Allow users to upload files and links';
$string['enablestudentuploaddesc'] = 'Default setting for upload option.';
$string['enablestudentupload_help'] = 'Students will be able to add a file or a url to a post';
$string['errorsavestateedit'] = 'Error by saving post. post is not saved.';
$string['filtersheader'] = 'Filters';
$string['filtertimeline'] = 'Filter';
$string['gradednote'] = 'You have been graded on {$a->name}: {$a->result}';
$string['hidefromothers'] = 'Hide topic';
$string['invalidpostid'] = 'Invalid post';
$string['invalidcommentid'] = 'Invalid comment';
$string['invalidcourseid'] = 'Invalid course';
$string['invalidpostcomment'] = 'Error while posting comment';
$string['likesaredisabled'] = 'Likes are disabled';
$string['likenomore'] = 'Like no more';
$string['like'] = 'Like';
$string['likesaved'] = 'Like saved';
$string['locked'] = 'locked';
$string['lockpost'] = 'Post is unlocked, click to lock';
$string['makealert'] = 'Make alert';
$string['makesticky'] = 'Make post sticky';
$string['makeunsticky'] = 'Make post unsticky';
$string['messageprovider:timelineposts'] = 'Notification of aocialwall course format timeline';
$string['missingcaplikepost'] = 'Missing capabiltiy to like posts.';
$string['missingcapmakesticky'] = 'Missing capabiltiy to make a post sticky or unsticky';
$string['missingcapwritecomment'] = 'Missing capability to write comments.';
$string['missingcaplockcomment'] = 'Missing capability to lock comments.';
$string['missingcapdeletecomment'] = 'You don\'t have the permission to delete a comment.';
$string['missingcapdeletepost'] = 'You don\'t have the permission to delete a post.';
$string['missingcapposturl'] = 'You don\'t have the permission to post a url.';
$string['missingcappostfile'] = 'You don\'t have the permission to post a file.';
$string['missingcapupdatepost'] = 'You don\'t have the permission to update this post.';
$string['notificationfromcourse'] = 'Notification from course: {$a}';
$string['nf_gotocourse'] = 'Go to course';
$string['nf_post_created'] = '{$a->creator} posted to timeline: {$a->posttext}';
$string['nf_post_locked'] = '{$a->creator} stopped commenting on: {$a->posttext}';
$string['nf_post_unlocked'] = '{$a->creator} enabled commenting on: {$a->posttext}';
$string['nf_comment_created'] = '{$a->creator} commented a post: {$a->commenttext}';
$string['nf_like_created'] = '{$a->creator} liked a post: {$a->posttext}';
$string['nf_like_deleted'] = '{$a->creator} unliked a post: {$a->posttext}';
$string['nonexistinggroup'] = 'no more existing group';
$string['norecentactivities'] = 'There are no recent activities';
$string['noposttoupdate'] = 'The post you like to update doesn\'t in the database';
$string['notificationtype'] = 'Notification type';
$string['notificationoff'] = 'Off';
$string['notificationperpost'] = 'Each post';
$string['notificationdigest'] = 'Per digest';
$string['page-course-view-socialwall'] = 'Any course main page in socialwall format';
$string['page-course-view-socialwall-x'] = 'Any course page in socialwall format';
$string['pluginname'] = 'Socialwall format';
$string['postcomment'] = 'Post';
$string['postdeleted'] = 'Post deleted';
$string['postidinvalid'] = 'Invalid post-ID';
$string['postedonto'] = '{$a->author} posted on: {$a->date} to {$a->to}';
$string['postislocked'] = 'Post is locked';
$string['poststatusordnote'] = 'Post status or note';
$string['postsaved'] = 'Post successfully saved';
$string['poststatus'] = 'Post status';
$string['privatepost'] = 'Private post';
$string['recentactivities'] = 'Recent activities';
$string['replycomment'] = 'Reply to comment';
$string['savepost'] = 'Post';
$string['savesetting'] = 'Save setting';
$string['section0name'] = 'General';
$string['searchbyname'] = 'Search by name...';
$string['sectionname'] = 'Topic';
$string['selectactivitiesfrombelow'] = 'Select activities from below';
$string['sendtimelinedigests'] = 'Send timeline digests';
$string['sendtimelineintant'] = 'Send timeline notifications (per Post)';
$string['showalert'] = 'Timeline is filtered to show an alert';
$string['showallcomments'] = 'Show all comments ({$a} more)';
$string['showalldicussions'] = 'Show all discussions';
$string['showallposts'] = 'Reset filter to show all posts';
$string['showallreplies'] = 'Show all replies ({$a} more)';
$string['showfromothers'] = 'Show topic';
$string['socialwall:like'] = 'Create likes';
$string['socialwall:lockcomment'] = 'Lock comments';
$string['socialwall:makesticky'] = 'Make sticky';
$string['socialwall:deleteanypost'] = 'Delete all users posts';
$string['socialwall:deleteownpost'] = 'Delete own posts';
$string['socialwall:deleteanycomment'] = 'Delete others users comments';
$string['socialwall:deleteowncomment'] = 'Delete own comments';
$string['socialwall:postprivate'] = 'Do private posts';
$string['socialwall:posturl'] = 'Post url (module)';
$string['socialwall:postfile'] = 'Post file (module)';
$string['socialwall:posthtml'] = 'Post HTML text';
$string['socialwall:viewprivate'] = 'View private posts';
$string['socialwall:viewlikes'] = 'View number of likes';
$string['socialwall:writecomment'] = 'Write comment';
$string['socialwall:updateownpost'] = 'Update own post';
$string['socialwall:updateanypost'] = 'Update any post';
$string['sticky'] = 'Sticky post';
$string['textrequired'] = 'Text required';
$string['timeagosec'] = '{$a} secs ago';
$string['timeagomin'] = '{$a} mins ago';
$string['timeagohours'] = '{$a->hours} hours {$a->minutes} mins ago';
$string['timeagodays'] = '{$a->days} days {$a->hours} hours ago';
$string['timeagomonthdays'] = '%m months %d days ago';
$string['timeagoyearsdays'] = '%y years %m months ago';
$string['timecreateasc'] = 'Order by date (ascending)';
$string['timecreatedesc'] = 'Order by date (descending)';
$string['timelinedigests'] = 'Your digest report from timelines of moodle';
$string['tlnumcomments'] = 'Number of comments';
$string['tlnumcommentsdesc'] = 'Default number of comments shown per post';
$string['tlnumposts'] = 'Num of posts (per request)';
$string['tlnumpostsdesc'] = 'Display this num of posts on course main page and per AJAX request.';
$string['tlnumreplies'] = 'Number of replies';
$string['tlnumrepliesdesc'] = 'Default number of replies shown per comments';;
$string['turneditoroff'] = 'HTML-Editor off';
$string['turneditoron'] = 'HTML-Editor on';
$string['unknownuser'] = 'Unknown user';
$string['updatepost'] = 'Update';
$string['updatepostfiltered'] = 'Timeline is filtered to show the post to update';
$string['uploadafile'] = 'Upload a file';
$string['unlockpost'] = 'Post is locked, click to unlock';
$string['writecomment'] = 'Write a comment';
